package com.fdkankan.common.constant;

/**
 * 文件业务类型
 */
public enum FileSizeUnitType {

    B("B"),
    KB("KB"),
    MB("MB"),
    GB("GB"),
    TB("TB"),
    PB("PB")
    ;

    private String code;

    private FileSizeUnitType(String code) {
        this.code = code;
    }

    public String code() {
        return code;
    }

    public static FileSizeUnitType get(String code){
        FileSizeUnitType[] values = FileSizeUnitType.values();
        String enumValue = null;
        for(FileSizeUnitType eachValue : values){
            enumValue = eachValue.code();
            if(enumValue.equals(code)){
                return eachValue;
            }
        }
        return null;
    }

}
